/*
 * pi-private.h
 */
#ifndef PI_PRIVATE_H_
#define PI_PRIVATE_H_

#define PEER_MAX_MSG		8190
/*#define PEER_MAX_MSG		64*/

/* Protocol commands */
#define CMD_CONNECT		1
#define CMD_INPUTS_READ		2
#define CMD_OUTPUTS_READ	3
#define CMD_OUTPUTS_WRITE	4
#define CMD_INPUTS_WRITE	5
#define CMD_OBTAIN_CONFIG	6

#define CMD_PREPARE_READ	16
#define CMD_END_READ		17
#define CMD_PREPARE_WRITE	18
#define CMD_END_WRITE		19

/* Status response */
#define STATUS_OK		0
#define STATUS_BAD_COMMAND	1 /* unknown command */
#define STATUS_ERANGE		2
#define STATUS_NOT_AVAIL	3
#define STATUS_MALFORMED	4
#define STATUS_TIMEOUT		5
#define STATUS_NOT_CONNECTED	6
#define STATUS_SIDE_MISMATCH	7

#define SIDE_SLAVE		1
#define SIDE_MASTER		2

#endif
